/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FirewallDialog_ipfilter.cc,v 1.2 2002/01/20 06:17:07 vkurland Exp $

  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"

#include "fwbuilder/Firewall.hh"
#include "FirewallDialog.hh"


using namespace libfwbuilder;


void FirewallDialog::init_ipfilter()
{
    ipfilter_log_level->set_menu(log_levels);
    ipfilter_log_level->changed.connect(SigC::slot(this,&FirewallDialog::on_ipfilter_log_level_changed));
    ipfilter_log_level->show_all();


    ipfilter_options.push_back( DialogOption( ipfilter_log_level                        , "log_level"      ));
    ipfilter_options.push_back( DialogOption( ipfilter_log_or_block                     , "log_or_block"   ));
    ipfilter_options.push_back( DialogOption( ipfilter_log_body                         , "log_packet_body"));


}

void FirewallDialog::on_ipfilter_log_level_changed()
{
    string nl=ipfilter_log_level->get_value();
    string  ol=options->getStr("log_level" );
    if (nl!=ol) on_changed();
}

