/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FirewallDialog_openbsd.cc,v 1.1 2002/02/20 23:28:55 vkurland Exp $

  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"

#include "fwbuilder/Firewall.hh"
#include "FirewallDialog.hh"

using namespace libfwbuilder;

void FirewallDialog::init_openbsd()
{

    openbsd_ip_forward->set_menu(on_off_menu);
    openbsd_ip_forward->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    openbsd_ip_forward->show_all();

    openbsd_ip_directed_broadcast->set_menu(on_off_menu);
    openbsd_ip_directed_broadcast->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    openbsd_ip_directed_broadcast->show_all();

    openbsd_ip_sourceroute->set_menu(on_off_menu);
    openbsd_ip_sourceroute->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    openbsd_ip_sourceroute->show_all();

    openbsd_ip_redirect->set_menu(on_off_menu);
    openbsd_ip_redirect->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    openbsd_ip_redirect->show_all();

    openbsd_options.push_back( DialogOption(  openbsd_ip_forward            , "openbsd_ip_forward"));
    openbsd_options.push_back( DialogOption(  openbsd_ip_directed_broadcast , "openbsd_ip_directed_broadcast"));
    openbsd_options.push_back( DialogOption(  openbsd_ip_sourceroute        , "openbsd_ip_sourceroute"));
    openbsd_options.push_back( DialogOption(  openbsd_ip_redirect           , "openbsd_ip_redirect"));

}

