/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FirewallDialog_pf.cc,v 1.5 2002/03/21 22:39:49 vkurland Exp $

  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"

#include "fwbuilder/Firewall.hh"
#include "FirewallDialog.hh"
#include "MessageDialog.hh"
#include "fwbuilder/FWObjectDatabase.hh"
#include "Preferences.hh"
#include "ListOfIcons.hh"


using namespace libfwbuilder;


void FirewallDialog::init_pf()
{

    label556->set_line_wrap(true);

    ((Gtk::Label*)(pf_no_optimisation->get_child()))->set_alignment(0.0,0.5);
    ((Gtk::Label*)(pf_no_optimisation->get_child()))->set_justify(GTK_JUSTIFY_LEFT);

    ((Gtk::Label*)(pf_modulate_state->get_child()))->set_alignment(0.0,0.5);
    ((Gtk::Label*)(pf_modulate_state->get_child()))->set_justify(GTK_JUSTIFY_LEFT);

    ((Gtk::Label*)(pf_manage_virtual_addr->get_child()))->set_alignment(0.0,0.5);
    ((Gtk::Label*)(pf_manage_virtual_addr->get_child()))->set_justify(GTK_JUSTIFY_LEFT);

    ((Gtk::Label*)(pf_debug->get_child()))->set_alignment(0.0,0.5);

    label570->set_line_wrap(true);

    ((Gtk::Label*)(pf_in_out_code->get_child()))->set_alignment(0.0,0.5);
    ((Gtk::Label*)(pf_pass_all_out->get_child()))->set_alignment(0.0,0.5);

    pf_options.push_back( DialogOption( pf_in_out_code      , "in_out_code"   ));
    pf_options.push_back( DialogOption( pf_pass_all_out     , "pass_all_out"  ));


    pf_options.push_back( DialogOption( pf_no_optimisation  , "no_optimisation"  ));
    pf_options.push_back( DialogOption( pf_modulate_state   , "modulate_state"   ));

    pf_options.push_back( DialogOption( pf_debug                            , "debug"           ));
    pf_options.push_back( DialogOption( pf_manage_virtual_addr              , "manage_virtual_addr"     ));
    pf_options.push_back( DialogOption( pf_fw_dir                           , "firewall_dir"            ));
    
}


