/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FirewallDialog_pix.cc,v 1.4 2002/03/18 10:08:40 vkurland Exp $

  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"

#include "fwbuilder/Firewall.hh"
#include "FirewallDialog.hh"
#include "MessageDialog.hh"
#include "fwbuilder/FWObjectDatabase.hh"
#include "Preferences.hh"
#include "ListOfIcons.hh"


using namespace libfwbuilder;


void FirewallDialog::init_pix()
{
    ((Gtk::Label*)(pix_fragguard->get_child()))->set_alignment(0.0,1.0);
    ((Gtk::Label*)(pix_connection_timewait->get_child()))->set_alignment(0.0,1.0);
    ((Gtk::Label*)(pix_tcpmss->get_child()))->set_alignment(0.0,1.0);


    pix_syslog_facility->set_menu(log_facilities);
    pix_syslog_facility->changed.connect(SigC::slot(this,&FirewallDialog::on_pix_syslog_facility_changed));
    pix_syslog_facility->show_all();

    pix_syslog_level->set_menu(log_levels);
    pix_syslog_level->changed.connect(SigC::slot(this,&FirewallDialog::on_pix_syslog_level_changed));
    pix_syslog_level->show_all();

    pix_logging_buffered_level->set_menu(log_levels);
    pix_logging_buffered_level->changed.connect(SigC::slot(this,&FirewallDialog::on_pix_logging_buffered_changed));
    pix_logging_buffered_level->show_all();

    pix_options.push_back( DialogOption( pix_syslog_level           , "pix_syslog_level"            ));
    pix_options.push_back( DialogOption( pix_syslog_facility        , "pix_syslog_facility"         ));
    pix_options.push_back( DialogOption( pix_logging_buffered_level , "pix_logging_buffered_level"  ));

    pix_options.push_back( DialogOption( pix_syslog_host            , "pix_syslog_host" ) );
    pix_options.push_back( DialogOption( pix_syslog_queue_size      , "pix_syslog_queue_size" ) );

    pix_options.push_back( DialogOption( pix_fragguard              , "pix_fragguard" ) );
    pix_options.push_back( DialogOption( pix_connection_timewait    , "pix_connection_timewait" ) );
    pix_options.push_back( DialogOption( pix_tcpmss                 , "pix_tcpmss" ) );
    pix_options.push_back( DialogOption( pix_tcpmss_value           , "pix_tcpmss_value" ) );

}

void FirewallDialog::on_pix_syslog_facility_changed()
{
    string nl=pix_syslog_facility->get_value();
    string ol=options->getStr("pix_syslog_facility" );
    if (nl!=ol) on_changed();
}

void FirewallDialog::on_pix_syslog_level_changed()
{
    string nl=pix_syslog_level->get_value();
    string ol=options->getStr("pix_syslog_level" );
    if (nl!=ol) on_changed();
}

void FirewallDialog::on_pix_logging_buffered_changed()
{
    string nl=pix_logging_buffered_level->get_value();
    string ol=options->getStr("pix_logging_buffered_level" );
    if (nl!=ol) on_changed();
}

