/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FirewallDialog_solaris.cc,v 1.1 2002/03/02 03:05:29 vkurland Exp $

  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include "config.h"

#include "fwbuilder/Firewall.hh"
#include "FirewallDialog.hh"

using namespace libfwbuilder;

void FirewallDialog::init_solaris()
{

    solaris_ip_forward->set_menu(on_off_menu);
    solaris_ip_forward->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    solaris_ip_forward->show_all();

    solaris_ip_forward_src_routed->set_menu(on_off_menu);
    solaris_ip_forward_src_routed->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    solaris_ip_forward_src_routed->show_all();

    solaris_ip_forward_directed_broadcasts->set_menu(on_off_menu);
    solaris_ip_forward_directed_broadcasts->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    solaris_ip_forward_directed_broadcasts->show_all();

    solaris_ip_ignore_redirect->set_menu(on_off_menu);
    solaris_ip_ignore_redirect->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    solaris_ip_ignore_redirect->show_all();

    solaris_ip_respond_to_echo_broadcast->set_menu(on_off_menu);
    solaris_ip_respond_to_echo_broadcast->changed.connect(SigC::slot(this,&FirewallDialog::on_changed));
    solaris_ip_respond_to_echo_broadcast->show_all();


    solaris_options.push_back( DialogOption(  solaris_ip_forward                     , "solaris_ip_forward"                     ) );
    solaris_options.push_back( DialogOption(  solaris_ip_forward_src_routed          , "solaris_ip_forward_src_routed"          ) );
    solaris_options.push_back( DialogOption(  solaris_ip_forward_directed_broadcasts , "solaris_ip_forward_directed_broadcasts" ) );
    solaris_options.push_back( DialogOption(  solaris_ip_ignore_redirect             , "solaris_ip_ignore_redirect"             ) );
    solaris_options.push_back( DialogOption(  solaris_ip_respond_to_echo_broadcast   , "solaris_ip_respond_to_echo_broadcast"   ) );

}

