/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: InterfaceDialog.hh,v 1.16 2002/02/14 08:43:05 vkurland Exp $


  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/




#ifndef _INTERFACEDIALOG_HH
#  include "InterfaceDialog_glade.hh"
#  define _INTERFACEDIALOG_HH

#include "config.h"

#include "glademm_support.hh"

#include "fwbuilder/Interface.hh"

class IPAddressWidget;

class InterfaceDialog : public InterfaceDialog_glade
{   
    friend class InterfaceDialog_glade;

    void on_ok_clicked();
    void on_cancel_clicked();
    void on_extint_toggled();
    void on_dyn_addr_toggled();

    gint on_delete(GdkEventAny* ev);

    bool choice;

    IPAddressWidget* addr;
    IPAddressWidget* netmask;

    map<string,string>  net_zone_objects;

    libfwbuilder::Interface *interface_;

public:

    InterfaceDialog( libfwbuilder::Interface *i);
    bool run();

    void useExtCheckbox();
    void useSecurityLevel();
    void useNetworkZone();

};
#endif

